### Virtual Method

# Phosh Notification do_action

#### Declaration [src]

    void
    do_action (
      PhoshNotification* self,
      guint id,
      const char* action
    )

#### Description [src]

This function allows the notification to implement their own action behaviour instead of the default DBus interface.

#### Parameters

`id`

  Type: `guint`

  No description available.

`action`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.